function [EigVec,EigVal,zeta,MY]=functionalPCA(data)
%checked 4
[n1,n2]=size(data);
MY=mean(data,1);
C=cov(data,1);
%MY=mean(mean(data));
%MY=MY*ones(1,n2);
%C=data-repmat(MY,n1,1);
%C=(C'*C)/n1;

if(n1<n2)
    [EigVec, EigVal]=eigs(C,n1);
    [EigVal,order]=sort(diag(EigVal),'descend');
    EigVec=EigVec(:,order);
else
    [EigVec, EigVal]=svd(C);   
    EigVal=diag(EigVal);    
end
zeta=(diag(1./sqrt(EigVal))*EigVec'*(data-repmat(MY,n1,1))')';
MY=MY';