function Prediction=BoundaryInterpolatorTissueHeating(s,BoundaryNodeCoordinates,BoundaryNodeValues)
%checked 4

m=size(s,1);
grid=BoundaryNodeCoordinates;
Ygrid=BoundaryNodeValues;
dist2=(pdist2(grid,s)).^2;

Prediction=zeros(m,1);
for i=1:m
    Identify=dist2(:,i)<10^-32;
    if(sum(Identify)==1)
        Prediction(i)=Ygrid(Identify);        
    elseif(sum(Identify)>1)
        Prediction(i)=mean(Ygrid(Identify));
    else
        Prediction(i)=sum(Ygrid./dist2(:,i))/sum(1./dist2(:,i));
    end
end
